I have Mac 10.5.8 and I wanto to upgrade to 10.8. Do I need to have the 10.6 and 10.7 to do this upgrade?

Back To Product

Follow this Question

1 Answer from the Community

  • Best Answer:

    Yes, but Snow Leopard 10.6 does not work on
    Powerbooks and Powermacs. You install 10.6
    from the CD and then upgrade to Lion or Mtn Lion
    from the Apple menu.

    Was this useful? Answer 1

    4 of 6 people found this useful

Related Questions